Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1684436 - Perform upstream tests at build time
Summary: Perform upstream tests at build time
Keywords:
Status: CLOSED DUPLICATE of bug 1727088
Alias: None
Product: Fedora
Classification: Fedora
Component: libffi
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1806314
TreeView+ depends on / blocked
 
Reported: 2019-03-01 09:32 UTC by Petr Pisar
Modified: 2020-11-04 11:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 11:19:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2019-03-01 09:32:20 UTC
The spec file has no %check section despite the sources contain upstream tests in the testsuite directory that can be executed with "make check" command. You would need to build-require dejagnu package for that:

[test@fedora-31 libffi-3.1]$ make check
MAKE x86_64-pc-linux-gnu : 0 * check
make[1]: Entering directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu'
Making check in include
make[2]: Entering directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/include'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/include'
Making check in testsuite
make[2]: Entering directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/testsuite'
make  check-DEJAGNU
make[3]: Entering directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/testsuite'
srcdir='../../testsuite'; export srcdir; \
EXPECT=expect; export EXPECT; \
if /bin/sh -c "runtest --version" > /dev/null 2>&1; then \
  exit_status=0; l='libffi'; for tool in $l; do \
    if runtest  --tool $tool --srcdir $srcdir ; \
    then :; else exit_status=1; fi; \
  done; \
else echo "WARNING: could not find 'runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find the global config file.
Test run by test on Fri Mar  1 10:30:27 2019
Native configuration is x86_64-redhat-linux-gnu

                === libffi tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
Using ../../testsuite/config/default.exp as tool-and-target-specific interface file.
Running ../../testsuite/libffi.call/call.exp ...

                === libffi Summary ===

# of expected passes            1870
make[3]: Leaving directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/testsuite'
make[2]: Leaving directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/testsuite'
Making check in man
make[2]: Entering directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/man'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu/man'
make[2]: Entering directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu'
make[2]: Leaving directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu'
make[1]: Leaving directory '/home/test/fedora/libffi/libffi-3.1/x86_64-redhat-linux-gnu'

Please perform the tests at build time.

Comment 1 Ben Cotton 2019-08-13 17:04:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:18:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Fedora Admin XMLRPC Client 2020-02-27 04:27:47 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 4 Ben Cotton 2020-11-03 15:10:45 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Petr Pisar 2020-11-04 11:19:15 UTC

*** This bug has been marked as a duplicate of bug 1727088 ***


Note You need to log in before you can comment on or make changes to this bug.